petsc-3.4.2 2013-07-02

# PetscObjectsGetGlobalNumbering

computes a global numbering of PetscObjects living on subcommunicators of a given communicator. This results in a deadlock-free ordering of the subcommunicators and, hence, the objects.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectsGetGlobalNumbering(MPI_Comm comm, PetscInt len, PetscObject *objlist, PetscInt *count, PetscInt *numbering)

Collective on comm.

### Input Parameters

| comm | - MPI_Comm
| len | - length of objlist
| objlist | - a list of PETSc objects living on subcommunicators of comm (subcommunicator ordering is assumed to be deadlock-free)

### Output Parameters

| count | - number of globally-distinct subcommunicators on objlist
| numbering | - global numbers of objlist entries (allocated by user)

Level:developer
Location:src/sys/objects/tagm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages